Browse Source

Ignore warning from sqlalchemy-migrate

This has been fixed but not released. Another warning is updated since
modules don't have .py extensions.

Change-Id: Iaa93b9743214300597650040c1cd34699f12ab3f
Signed-off-by: Stephen Finucane <sfinucan@redhat.com>
Related-Bug: #1813147
tags/20.0.0.0rc1
Stephen Finucane 2 months ago
parent
commit
d0ca30b80a
1 changed files with 8 additions and 0 deletions
  1. +8
    -0
      nova/tests/fixtures.py

+ 8
- 0
nova/tests/fixtures.py View File

@@ -880,6 +880,14 @@ class WarningsFixture(fixtures.Fixture):
category=DeprecationWarning,
module='migrate.versioning.script.py')

# TODO(stephenfin): Remove once we bump our sqlalchemy-migrate version
# to whatever is released early in Ussuri and includes change
# I319785d7dd83ffe2c6e651a2494b073becc84684
warnings.filterwarnings(
'ignore', message='The Engine.contextual_connect.*',
category=sqla_exc.SADeprecationWarning,
module='migrate.changeset.databases.visitor')

self.addCleanup(warnings.resetwarnings)



Loading…
Cancel
Save